%global githubuser sctplab
%global githubproject usrsctp
#%%global gitver 4191ca1784d8774dbf62d48ab9426c7311a91bc5

#%%global gitshort %%(r=%{gitver}; echo ${r:0:7})

%if 0%{?gitver:1}
  %global srcurl   https://github.com/%{githubuser}/%{githubproject}/archive/%{gitver}.tar.gz#/%{githubproject}-%{gitver}.tar.gz
  %global setuppath %{githubproject}-%{gitver}
%else
  %global srcurl   https://github.com/%{githubuser}/%{githubproject}/archive/%{version}.tar.gz#/%{githubproject}-%{version}.tar.gz
  %global setuppath %{githubproject}-%{version}
%endif

Name:           libusrsctp
Version:        0.9.5.0
Release:        1%{?gitver:.git%{gitshort}}%{?dist}
Summary:        Portable SCTP Userland Stack

License:        BSD
URL:            https://github.com/sctplab/usrsctp
Source0:        %{srcurl}

BuildRequires:  cmake
BuildRequires:  gcc-c++


%description
This is a userland SCTP stack supporting FreeBSD, Linux, Mac OS X and Windows.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{setuppath}


%build
%cmake
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files
%license LICENSE.md
%doc README.md
%{_libdir}/%{name}.so.*


%files devel
%{_includedir}/usrsctp.h
%{_libdir}/pkgconfig/usrsctp.pc
%{_libdir}/%{name}.so


%changelog
* Sun Jan 17 2021 Felix Kaechele <felix@kaechele.ca> - 0.9.5.0-1
- update to 0.9.5.0 release

* Mon Jan  4 2021 Felix Kaechele <felix@kaechele.ca> - 0.9.3.1-0.6.git4191ca1
- update to latest git commit
- drop cmake libdir fix patch, upstream has a fix now
- add pkgconfig file

* Thu Oct 29 2020 Felix Kaechele <felix@kaechele.ca> - 0.9.3.1-0.5.git862f4f5
- update to latest git commit

* Fri Sep 25 2020 Felix Kaechele <felix@kaechele.ca> - 0.9.3.1-0.4.gitf7f9cd8
- update to latest git commit

* Sun Sep 06 2020 Felix Kaechele <felix@kaechele.ca> - 0.9.3.1-0.3.git995c0b8
- update to latest git commit

* Thu Jun 04 2020 Felix Kaechele <felix@kaechele.ca> - 0.9.3.1-0.2.gitfbadabe
- update to latest git commit

* Mon Apr 13 2020 Felix Kaechele <felix@kaechele.ca> - 0.9.3.1-0.1.git6ce0f8f
- initial version

